source 'git@github.com:DDIsFriend/DDSpecs.git'
source 'https://github.com/CocoaPods/Specs.git'

platform :ios, '13.0'

target 'OrderScheduling' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_modular_headers!

#  pod 'CocoaDebug', :configurations => ['Debug']
  pod 'ESTabBarController-swift'
  pod 'DDCategoryKit_Private'
  pod 'DDColorKit_Private'
  pod 'DDFontKit_Private'
  pod 'IQKeyboardManagerSwift'
  pod 'DDMAMapKit_Private'
  pod 'SnapKit'
  pod 'DDAutoUIKit_Private'
  pod 'RxSwift'
  pod 'RxRelay'
  pod 'RxCocoa'
  pod 'DDToastKit_Private'
  pod 'DDNetworkingOfAlamofireKit_Private'
  pod 'DDProgressHUDKit_Private'
  pod 'JXCategoryView'
  pod 'DDControlsKit_Private','0.1.4'
  pod 'DDBasicControlsKit_Private','0.3.6'
  pod 'SwiftEntryKit'
  pod 'MJRefresh'
  pod 'DDWebImageKit_Private'
  pod 'ZLPhotoBrowser'
  pod 'DDZFPlayerKit_Private',:subspecs => ['ControlView','ijkplayer']
  pod 'JPush',:modular_headers => true
  pod 'BRPickerView'
  pod 'DDAudioPlayerKit_Private'
  pod 'DDDateKit_Private'
  pod 'DDUtilsSwiftKit_Private'
  pod 'Bugly'
  pod 'SwiftyRSA'
  pod 'DDPersistenceKit_Private'
  pod 'DDUIGestureRecognizer', '0.1.6'
  pod 'TYCyclePagerView'
  pod 'DDUIKit', :source => 'git@github.com:DDIsFriend/DDSpecs.git'
  pod 'PopupDialog', '1.1.1'
  
  post_install do |installer|
      installer.pods_project.targets.each do |target|
        target.build_configurations.each do |config|
          config.build_settings["EXCLUDED_ARCHS[sdk=iphonesimulator*]"] = "arm64"
          config.build_settings["DEVELOPMENT_TEAM"] = "W4SG324NS4"
        end
      end
      
      installer.pods_project.targets.each do |target|
            target.build_configurations.each do |config|
              if (config.name <=> 'Pre-Release') == 0
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] ||= ['$(inherited)']
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] << 'PRERELEASE'
              end
              if (config.name <=> 'Release') == 0
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] ||= ['$(inherited)']
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] << 'RELEASE'
              end
            end
      end
  end
end

target 'OrderSchedulingNotificationService' do
  pod 'JPushExtension'
end
